!c Description: 
!c   ファイル名設定用モジュール
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-11-12    作成
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module fileset
  implicit none
  save
  character(80) :: cfgfile = "arare.conf"  !設定ファイル
  character(80) :: ncfile_u                  !出力 nc ファイル
  character(80) :: ncfile_w                  !出力 nc ファイル
  character(80) :: ncfile_s                  !出力 nc ファイル
  character(80) :: ncfile_u_mgn              !出力 nc ファイル
  character(80) :: ncfile_w_mgn              !出力 nc ファイル
  character(80) :: ncfile_s_mgn              !出力 nc ファイル
contains
  subroutine fileset_init
    
    ! NAMELIST の定義
    NAMELIST /fileset/ ncfile_u, ncfile_w, ncfile_s, &
         &             ncfile_u_mgn, ncfile_w_mgn, ncfile_s_mgn
    
    !変数の取り出し
    open (10, FILE=cfgfile)
    read(10, NML=fileset)
    close(10)
    
  end subroutine fileset_init

end module fileset

